package com.sd.business.controller.bom;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.bom.dto.BomDto;
import com.sd.business.entity.bom.dto.BomSelectDto;
import com.sd.business.entity.bom.vo.BomVo;
import com.sd.business.service.bom.BomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@RestController
@RequestMapping("/bom")
public class BomController {

    @Autowired
    private BomService bomService;

    /**
     * bom分页
     */
    @PostMapping("/page")
    public Page<BomVo> page(@RequestBody BomSelectDto dto) {
        return bomService.getPage(dto);
    }

    /**
     * bom明细
     */
    @PostMapping("/detail")
    public BomVo detail(@RequestBody BaseSelectDto dto) {
        return bomService.detail(dto.getId());
    }

    /**
     * bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody BomDto dto) {
        bomService.add(dto);
    }

    /**
     * bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody BomDto dto) {
        bomService.edit(dto);
    }

    /**
     * bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        bomService.delete(dto.getId());
    }

}
