package com.sd.business.controller.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.in.dto.InOutStorageBalanceDto;
import com.sd.business.entity.in.dto.InOutStorageBalanceSelectDto;
import com.sd.business.entity.in.vo.InOutStorageBalanceVo;
import com.sd.business.service.in.InOutStorageBalanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 出入库结存单价计算表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/inOutStorageBalance")
public class InOutStorageBalanceController {

    @Autowired
    private InOutStorageBalanceService inOutStorageBalanceService;

    /**
     * 出入库结存单价计算表分页
     */
    @PostMapping("/page")
    public Page<InOutStorageBalanceVo> page(@RequestBody InOutStorageBalanceSelectDto dto) {
        return inOutStorageBalanceService.getPage(dto);
    }

    /**
     * 出入库结存单价计算表明细
     */
    @PostMapping("/detail")
    public InOutStorageBalanceVo detail(@RequestBody BaseSelectDto dto) {
        return inOutStorageBalanceService.detail(dto.getId());
    }

    /**
     * 出入库结存单价计算表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InOutStorageBalanceDto dto) {
        inOutStorageBalanceService.add(dto);
    }

    /**
     * 出入库结存单价计算表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InOutStorageBalanceDto dto) {
        inOutStorageBalanceService.edit(dto);
    }

    /**
     * 出入库结存单价计算表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inOutStorageBalanceService.delete(dto.getId());
    }

}
