package com.sd.business.controller.in;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.in.dto.InOutStorageBomSelectDto;
import com.sd.business.entity.in.vo.InOutStorageBomExportVo;
import com.sd.business.entity.in.vo.InOutStorageBomVo;
import com.sd.business.service.in.InOutStorageBomService;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * <p>
 * 出入库bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/inOutStorageBom")
public class InOutStorageBomController {

    @Autowired
    private InOutStorageBomService inOutStorageBomService;

    /**
     * 出入库bom分页
     */
    @PostMapping("/page")
    public Page<InOutStorageBomVo> page(@RequestBody InOutStorageBomSelectDto dto) {
        return inOutStorageBomService.getPage(dto);
    }

    /**
     * 出入库bom流水导出
     */
    @PostMapping("/exportExcelSummary")
    public void exportExcelSummary(HttpServletResponse response, @RequestBody InOutStorageBomSelectDto dto) {
        dto.setSearchAll(true);
        Page<InOutStorageBomVo> page = inOutStorageBomService.getPage(dto);
        List<InOutStorageBomExportVo> exportList = BeanUtil.copyToList(page.getRecords(), InOutStorageBomExportVo.class);
        ExcelUtil.export(response, "出入库流水表", "导出数据", exportList, InOutStorageBomExportVo.class);
    }

}
