package com.sd.business.controller.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.in.dto.InOutStorageDto;
import com.sd.business.entity.in.dto.InOutStorageSelectDto;
import com.sd.business.entity.in.vo.InOutStorageVo;
import com.sd.business.service.in.InOutStorageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 出入库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/inOutStorage")
public class InOutStorageController {

    @Autowired
    private InOutStorageService inOutStorageService;

    /**
     * 出入库分页
     */
    @PostMapping("/page")
    public Page<InOutStorageVo> page(@RequestBody InOutStorageSelectDto dto) {
        return inOutStorageService.getPage(dto);
    }

    /**
     * 出入库明细
     */
    @PostMapping("/detail")
    public InOutStorageVo detail(@RequestBody BaseSelectDto dto) {
        return inOutStorageService.detail(dto.getId());
    }

    /**
     * 出入库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InOutStorageDto dto) {
        inOutStorageService.add(dto);
    }

    /**
     * 出入库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InOutStorageDto dto) {
        inOutStorageService.edit(dto);
    }

    /**
     * 出入库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inOutStorageService.delete(dto.getId());
    }

}
