package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedVo;
import com.sd.business.service.inventory.InventoryFinishedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 成品仓库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/inventoryFinished")
public class InventoryFinishedController {

    @Autowired
    private InventoryFinishedService inventoryFinishedService;

    /**
     * 成品仓库分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedVo> page(@RequestBody InventoryFinishedSelectDto dto) {
        return inventoryFinishedService.getPage(dto);
    }

    /**
     * 成品仓库明细
     */
    @PostMapping("/detail")
    public InventoryFinishedVo detail(@RequestBody BaseSelectDto dto) {
        return inventoryFinishedService.detail(dto.getId());
    }

    /**
     * 成品仓库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InventoryFinishedDto dto) {
        inventoryFinishedService.add(dto);
    }

    /**
     * 成品仓库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InventoryFinishedDto dto) {
        inventoryFinishedService.edit(dto);
    }

    /**
     * 成品仓库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inventoryFinishedService.delete(dto.getId());
    }

}
