package com.sd.business.controller.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedOrderDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedOrderSelectDto;
import com.sd.business.entity.inventory.vo.InventoryFinishedOrderVo;
import com.sd.business.service.inventory.InventoryFinishedOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 成品仓库订单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/inventoryFinishedOrder")
public class InventoryFinishedOrderController {

    @Autowired
    private InventoryFinishedOrderService inventoryFinishedOrderService;

    /**
     * 成品仓库订单分页
     */
    @PostMapping("/page")
    public Page<InventoryFinishedOrderVo> page(@RequestBody InventoryFinishedOrderSelectDto dto) {
        return inventoryFinishedOrderService.getPage(dto);
    }

    /**
     * 成品仓库订单明细
     */
    @PostMapping("/detail")
    public InventoryFinishedOrderVo detail(@RequestBody BaseSelectDto dto) {
        return inventoryFinishedOrderService.detail(dto.getId());
    }

    /**
     * 成品仓库订单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InventoryFinishedOrderDto dto) {
        inventoryFinishedOrderService.add(dto);
    }

    /**
     * 成品仓库订单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InventoryFinishedOrderDto dto) {
        inventoryFinishedOrderService.edit(dto);
    }

    /**
     * 成品仓库订单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inventoryFinishedOrderService.delete(dto.getId());
    }

}
