package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.OrderSkuProductionCostDto;
import com.sd.business.entity.order.dto.OrderSkuProductionCostSelectDto;
import com.sd.business.entity.order.vo.OrderSkuProductionCostVo;
import com.sd.business.service.order.OrderSkuProductionCostService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 订单sku生产成本表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/orderSkuProductionCost")
public class OrderSkuProductionCostController {

    @Autowired
    private OrderSkuProductionCostService orderSkuProductionCostService;

    /**
     * 订单sku生产成本表分页
     */
    @PostMapping("/page")
    public Page<OrderSkuProductionCostVo> page(@RequestBody OrderSkuProductionCostSelectDto dto) {
        return orderSkuProductionCostService.getPage(dto);
    }

    /**
     * 订单sku生产成本表明细
     */
    @PostMapping("/detail")
    public OrderSkuProductionCostVo detail(@RequestBody BaseSelectDto dto) {
        return orderSkuProductionCostService.detail(dto.getId());
    }

    /**
     * 订单sku生产成本表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody OrderSkuProductionCostDto dto) {
        orderSkuProductionCostService.add(dto);
    }

    /**
     * 订单sku生产成本表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OrderSkuProductionCostDto dto) {
        orderSkuProductionCostService.edit(dto);
    }

    /**
     * 订单sku生产成本表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        orderSkuProductionCostService.delete(dto.getId());
    }

}
