package com.sd.business.controller.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.production.dto.ProductionWorkOrderDto;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;
import com.sd.business.service.production.ProductionWorkOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 生产工单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/productionWorkOrder")
public class ProductionWorkOrderController {

    @Autowired
    private ProductionWorkOrderService productionWorkOrderService;

    /**
     * 生产工单分页
     */
    @PostMapping("/page")
    public Page<ProductionWorkOrderVo> page(@RequestBody ProductionWorkOrderSelectDto dto) {
        return productionWorkOrderService.getPage(dto);
    }

    /**
     * 生产工单明细
     */
    @PostMapping("/detail")
    public ProductionWorkOrderVo detail(@RequestBody BaseSelectDto dto) {
        return productionWorkOrderService.detail(dto.getId());
    }

    /**
     * 生产工单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductionWorkOrderDto dto) {
        productionWorkOrderService.add(dto);
    }

    /**
     * 生产工单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductionWorkOrderDto dto) {
        productionWorkOrderService.edit(dto);
    }

    /**
     * 生产工单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productionWorkOrderService.delete(dto.getId());
    }

}
