package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentBomDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentBomSelectDto;
import com.sd.business.entity.purchase.vo.PurchasePaymentBomVo;
import com.sd.business.service.purchase.PurchasePaymentBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购付款bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/purchasePaymentBom")
public class PurchasePaymentBomController {

    @Autowired
    private PurchasePaymentBomService purchasePaymentBomService;

    /**
     * 采购付款bom分页
     */
    @PostMapping("/page")
    public Page<PurchasePaymentBomVo> page(@RequestBody PurchasePaymentBomSelectDto dto) {
        return purchasePaymentBomService.getPage(dto);
    }

    /**
     * 采购付款bom明细
     */
    @PostMapping("/detail")
    public PurchasePaymentBomVo detail(@RequestBody BaseSelectDto dto) {
        return purchasePaymentBomService.detail(dto.getId());
    }

    /**
     * 采购付款bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchasePaymentBomDto dto) {
        purchasePaymentBomService.add(dto);
    }

    /**
     * 采购付款bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchasePaymentBomDto dto) {
        purchasePaymentBomService.edit(dto);
    }

    /**
     * 采购付款bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchasePaymentBomService.delete(dto.getId());
    }

}
