package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentSelectDto;
import com.sd.business.entity.purchase.vo.PurchasePaymentVo;
import com.sd.business.service.purchase.PurchasePaymentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购付款 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/purchasePayment")
public class PurchasePaymentController {

    @Autowired
    private PurchasePaymentService purchasePaymentService;

    /**
     * 采购付款分页
     */
    @PostMapping("/page")
    public Page<PurchasePaymentVo> page(@RequestBody PurchasePaymentSelectDto dto) {
        return purchasePaymentService.getPage(dto);
    }

    /**
     * 采购付款明细
     */
    @PostMapping("/detail")
    public PurchasePaymentVo detail(@RequestBody BaseSelectDto dto) {
        return purchasePaymentService.detail(dto.getId());
    }

    /**
     * 采购付款新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchasePaymentDto dto) {
        purchasePaymentService.add(dto);
    }

    /**
     * 采购付款编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchasePaymentDto dto) {
        purchasePaymentService.edit(dto);
    }

    /**
     * 采购付款删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchasePaymentService.delete(dto.getId());
    }

}
