package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageBomDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageBomSelectDto;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;
import com.sd.business.service.purchase.PurchasePendingStorageBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购待入库bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/purchasePendingStorageBom")
public class PurchasePendingStorageBomController {

    @Autowired
    private PurchasePendingStorageBomService purchasePendingStorageBomService;

    /**
     * 采购待入库bom分页
     */
    @PostMapping("/page")
    public Page<PurchasePendingStorageBomVo> page(@RequestBody PurchasePendingStorageBomSelectDto dto) {
        return purchasePendingStorageBomService.getPage(dto);
    }

    /**
     * 采购待入库bom明细
     */
    @PostMapping("/detail")
    public PurchasePendingStorageBomVo detail(@RequestBody BaseSelectDto dto) {
        return purchasePendingStorageBomService.detail(dto.getId());
    }

    /**
     * 采购待入库bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchasePendingStorageBomDto dto) {
        purchasePendingStorageBomService.add(dto);
    }

    /**
     * 采购待入库bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchasePendingStorageBomDto dto) {
        purchasePendingStorageBomService.edit(dto);
    }

    /**
     * 采购待入库bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchasePendingStorageBomService.delete(dto.getId());
    }

}
