package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageSelectDto;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageVo;
import com.sd.business.service.purchase.PurchasePendingStorageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购待入库 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/purchasePendingStorage")
public class PurchasePendingStorageController {

    @Autowired
    private PurchasePendingStorageService purchasePendingStorageService;

    /**
     * 采购待入库分页
     */
    @PostMapping("/page")
    public Page<PurchasePendingStorageVo> page(@RequestBody PurchasePendingStorageSelectDto dto) {
        return purchasePendingStorageService.getPage(dto);
    }

    /**
     * 采购待入库明细
     */
    @PostMapping("/detail")
    public PurchasePendingStorageVo detail(@RequestBody BaseSelectDto dto) {
        return purchasePendingStorageService.detail(dto.getId());
    }

    /**
     * 采购待入库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchasePendingStorageDto dto) {
        purchasePendingStorageService.add(dto);
    }

    /**
     * 采购待入库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchasePendingStorageDto dto) {
        purchasePendingStorageService.edit(dto);
    }

    /**
     * 采购待入库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchasePendingStorageService.delete(dto.getId());
    }

}
