package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnBomDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnBomSelectDto;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;
import com.sd.business.service.purchase.PurchaseReturnBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购退货bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/purchaseReturnBom")
public class PurchaseReturnBomController {

    @Autowired
    private PurchaseReturnBomService purchaseReturnBomService;

    /**
     * 采购退货bom分页
     */
    @PostMapping("/page")
    public Page<PurchaseReturnBomVo> page(@RequestBody PurchaseReturnBomSelectDto dto) {
        return purchaseReturnBomService.getPage(dto);
    }

    /**
     * 采购退货bom明细
     */
    @PostMapping("/detail")
    public PurchaseReturnBomVo detail(@RequestBody BaseSelectDto dto) {
        return purchaseReturnBomService.detail(dto.getId());
    }

    /**
     * 采购退货bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchaseReturnBomDto dto) {
        purchaseReturnBomService.add(dto);
    }

    /**
     * 采购退货bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchaseReturnBomDto dto) {
        purchaseReturnBomService.edit(dto);
    }

    /**
     * 采购退货bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchaseReturnBomService.delete(dto.getId());
    }

}
