package com.sd.business.controller.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnSelectDto;
import com.sd.business.entity.purchase.vo.PurchaseReturnVo;
import com.sd.business.service.purchase.PurchaseReturnService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 采购退货 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@RestController
@RequestMapping("/purchaseReturn")
public class PurchaseReturnController {

    @Autowired
    private PurchaseReturnService purchaseReturnService;

    /**
     * 采购退货分页
     */
    @PostMapping("/page")
    public Page<PurchaseReturnVo> page(@RequestBody PurchaseReturnSelectDto dto) {
        return purchaseReturnService.getPage(dto);
    }

    /**
     * 采购退货明细
     */
    @PostMapping("/detail")
    public PurchaseReturnVo detail(@RequestBody BaseSelectDto dto) {
        return purchaseReturnService.detail(dto.getId());
    }

    /**
     * 采购退货新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PurchaseReturnDto dto) {
        purchaseReturnService.add(dto);
    }

    /**
     * 采购退货编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PurchaseReturnDto dto) {
        purchaseReturnService.edit(dto);
    }

    /**
     * 采购退货删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchaseReturnService.delete(dto.getId());
    }

}
