package com.sd.business.controller.statement;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.statement.dto.StatementOfAccountDto;
import com.sd.business.entity.statement.dto.StatementOfAccountSelectDto;
import com.sd.business.entity.statement.vo.StatementOfAccountVo;
import com.sd.business.service.statement.StatementOfAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 对账单 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/statementOfAccount")
public class StatementOfAccountController {

    @Autowired
    private StatementOfAccountService statementOfAccountService;

    /**
     * 对账单分页
     */
    @PostMapping("/page")
    public Page<StatementOfAccountVo> page(@RequestBody StatementOfAccountSelectDto dto) {
        return statementOfAccountService.getPage(dto);
    }

    /**
     * 对账单明细
     */
    @PostMapping("/detail")
    public StatementOfAccountVo detail(@RequestBody BaseSelectDto dto) {
        return statementOfAccountService.detail(dto.getId());
    }

    /**
     * 对账单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody StatementOfAccountDto dto) {
        statementOfAccountService.add(dto);
    }

    /**
     * 对账单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody StatementOfAccountDto dto) {
        statementOfAccountService.edit(dto);
    }

    /**
     * 对账单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        statementOfAccountService.delete(dto.getId());
    }

}
