package com.sd.business.entity.inventory.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class QuantityDto {

    /**
     * 事业部id
     */
    @NotNull(message = "事业部id不能为空")
    private Long departmentId;

    /**
     * 仓库id
     */
    @NotNull(message = "仓库id不能为空")
    private Long warehouseId;

    /**
     * bom规格id列表
     */
    @NotEmpty(message = "bom规格id列表不能为空")
    private List<Long> bomSpecIdList;

}
