package com.sd.business.entity.order.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 订单类型
 */
@Getter
@AllArgsConstructor
public enum OrderClassifyEnum {
    WLN_ORDER(1, "万里牛订单"),
    PURCHASE_ORDER(2, "采购订单"),
    OUTSOURCE_ORDER(3, "委外订单"),
    AFTER_SALE_ORDER(4, "售后订单"),
    NO_REASON_ORDER(5, "无理由订单");

    private static final Map<Integer, OrderClassifyEnum> map = new HashMap<>();

    static {
        for (OrderClassifyEnum orderClassifyEnum : values()) {
            map.put(orderClassifyEnum.getKey(), orderClassifyEnum);
        }
    }

    private final Integer key;
    private final String value;

    /**
     * 通过key获取名称
     */
    public static OrderClassifyEnum getEnum(Integer key) {
        OrderClassifyEnum orderClassifyEnum = map.get(key);
        if (orderClassifyEnum == null) {
            throw new ServiceException("未知订单类型：" + key);
        }
        return orderClassifyEnum;
    }

}
