package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("order_info")
public class OrderInfo extends BasePo {

    /**
     * 来源 1自定义添加 2万里牛
     */
    private Integer source;

    /**
     * 订单类型 1自主订单 2委外订单
     */
    private Integer type;

    /**
     * 订单分类 1万里牛订单，2采购订单，3委外订单，4售后订单，5无理由订单
     */
    private Integer classify;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛uid
     */
    private String wlnUid;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 万里牛订单状态
     */
    private Integer wlnStatus;

    /**
     * 万里牛订单创建时间
     */
    private Date wlnCreateTime;

    /**
     * 万里牛订单审核时间
     */
    private Date wlnApproveTime;

    /**
     * 万里牛打单时间
     */
    private Date wlnPrintTime;

    /**
     * 万里牛同步时间
     */
    private Date wlnModifyTime;

    /**
     * 万里牛同步时间戳
     */
    private Long wlnModifyTimestamp;

    /**
     * 万里牛仓库编码
     */
    private String wlnStorageCode;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 店铺来源
     */
    private String sourcePlatform;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 进度
     */
    private Integer status;

    /**
     * 异常类型
     */
    private String exceptionType;

    /**
     * 异常发生时间
     */
    private Date exceptionTime;

    /**
     * 结算状态 1未结算 2已对账 3已结算
     */
    private Integer settlementStatus;

    /**
     * 订单总金额
     */
    private BigDecimal totalAmount;

    /**
     * 产品总金额
     */
    private BigDecimal productTotalAmount;

    /**
     * 定制加工费
     */
    private BigDecimal customProcessingFee;

    /**
     * 代发费
     */
    private BigDecimal lssueFee;

    /**
     * 快递包材费
     */
    private BigDecimal deliveryMaterialsFee;

    /**
     * 包装人工费
     */
    private BigDecimal packingLabor;

    /**
     * 管理费
     */
    private BigDecimal managementFee;

    /**
     * 包材费
     */
    private BigDecimal packagingMaterialCost;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 发货时间
     */
    private Date shippingTime;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 收货人电话
     */
    private String consigneeNumber;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 邮编
     */
    private String postcode;

    /**
     * 快递网点id
     */
    private String expressDeliveryId;

    /**
     * 快递单号
     */
    private String expressDeliveryCode;

    /**
     * 标签
     */
    private String tag;

    /**
     * 对账单id
     */
    private Long statementOfAccountId;

    /**
     * 出库事业部id
     */
    private Long outDepartmentId;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废
     */
    private Integer flowStatus;

    /**
     * 主订单id
     */
    private Long masterOrderId;

    /**
     * 是否锁定库存 1是 0否
     */
    private Integer lockStorage;

    /**
     * 送货单号
     */
    private String deliveryCode;

    /**
     * 备料类型 0半成品，1成品
     */
    private Integer stockType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 订单删除标记
     */
    private Integer delFlag;

}
