package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 订单sku生产成本表
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("order_sku_production_cost")
public class OrderSkuProductionCost extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单sku id
     */
    private Long orderSkuId;

    /**
     * 材料成本
     */
    private BigDecimal materialCost;

    /**
     * 辅料成本
     */
    private BigDecimal auxiliaryMaterialCost;

    /**
     * 产品包材成本
     */
    private BigDecimal productPackagingMaterialCost;

    /**
     * 物流包材成本
     */
    private BigDecimal logisticsPackagingMaterialCost;

    /**
     * 成本总金额
     */
    private BigDecimal totalAmount;

}
