package com.sd.business.entity.price.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 加工计费标准明细
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("price_billing_standard_detail")
public class PriceBillingStandardDetail extends BasePo {

    /**
     * 加工计费标准id
     */
    private Long priceBillingStandardId;

    /**
     * 收费项目 字典:charge_item
     */
    private String chargeItem;

    /**
     * 收费模式 字典:charge_mode
     */
    private String chargeMode;

    /**
     * 收费模式数值区间最小值
     */
    private BigDecimal sectionMin;

    /**
     * 收费模式数值区间最大值
     */
    private BigDecimal sectionMax;

    /**
     * 收费价格
     */
    private BigDecimal chargePrice;

    /**
     * 成本价格
     */
    private BigDecimal costPrice;

    /**
     * 排序
     */
    private Integer sort;

}
