package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购付款
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Getter
@Setter
@TableName("purchase_payment")
public class PurchasePayment extends BasePo {

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 结算方式 字典:settlement_method
     */
    private String settlementMethod;

    /**
     * 收款户名
     */
    private String accountName;

    /**
     * 收款账号
     */
    private String receivablesAccount;

    /**
     * 开户银行
     */
    private String bankDeposit;

    /**
     * 抵扣金额
     */
    private BigDecimal deductionAmount;

    /**
     * 抵扣备注
     */
    private String deductionRemark;

    /**
     * 付款bom总金额
     */
    private BigDecimal applyAmount;

    /**
     * 备注
     */
    private String remark;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 -1草稿  0未发起 1进行中 2已通过 3已驳回
     */
    private Integer flowStatus;

}
