package com.sd.business.service.bom;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.bom.dto.BomClassifyDto;
import com.sd.business.entity.bom.dto.BomClassifySelectDto;
import com.sd.business.entity.bom.po.BomClassify;
import com.sd.business.entity.bom.vo.BomClassifyVo;

import java.util.List;


/**
 * <p>
 * bom分类 服务类
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
public interface BomClassifyService extends BaseService<BomClassify> {

    /**
     * bom分类树形
     */
    List<BomClassifyVo> tree(BomClassifySelectDto dto);

    /**
     * bom分类明细
     */
    BomClassifyVo detail(Long id);

    /**
     * bom分类新增
     */
    void add(BomClassifyDto dto);

    /**
     * bom分类编辑
     */
    void edit(BomClassifyDto dto);

    /**
     * bom分类删除
     */
    void delete(Long id);

    /**
     * 获取子集id
     */
    List<Long> getChildrenIdList(Long parentId);

    /**
     * 获取子集id
     */
    List<Long> getChildrenIdList(List<Long> parentIdList);

}
