package com.sd.business.service.bom.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.bom.bo.BomSpecBo;
import com.sd.business.entity.bom.po.Bom;
import com.sd.business.entity.bom.po.BomClassify;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.mapper.bom.BomSpecMapper;
import com.sd.business.service.bom.BomSpecService;
import com.sd.framework.util.sql.From;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.Map;


/**
 * <p>
 * bom规格 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-04
 */
@Service
public class BomSpecServiceImpl extends ServiceImpl<BomSpecMapper, BomSpec> implements BomSpecService {

    @Override
    public Map<Long, BomSpecBo> getBomSpecBo(Collection<Long> bomSpecIdList) {
        return selectFrom().in(BomSpec::getId, bomSpecIdList).mapKEntity(BomSpecBo::getBomSpecId);
    }

    @Override
    public BomSpecBo getBomSpecBo(Long bomSpecId) {
        return selectFrom().eq(BomSpec::getId, bomSpecId).one();
    }

    private From<BomSpecBo> selectFrom() {
        return Sql.create(BomSpecBo.class)
                .selectAs(BomSpec::getId, BomSpecBo::getBomSpecId)
                .selectAs(BomSpec::getCode, BomSpecBo::getBomSpecCode)
                .selectAs(BomSpec::getName, BomSpecBo::getBomSpecName)
                .selectAs(BomSpec::getCostPrice, BomSpecBo::getCostPrice)
                .selectAs(BomSpec::getInternalSellingPrice, BomSpecBo::getInternalSellingPrice)
                .selectAs(BomSpec::getExternalSellingPrice, BomSpecBo::getExternalSellingPrice)
                .selectAs(Bom::getSpecies, BomSpecBo::getBomSpecies)
                .selectAs(Bom::getUnit, BomSpecBo::getUnit)
                .selectAs(BomClassify::getId, BomSpecBo::getClassifyId)
                .selectAs(BomClassify::getParentId, BomSpecBo::getClassifyParentId)
                .selectAs(BomClassify::getName, BomSpecBo::getClassifyName)

                .from(BomSpec.class)
                .leftJoin(Bom.class, BomSpec::getBomId)
                .leftJoin(BomClassify.class, Bom::getBomClassifyId);
    }

}
