package com.sd.business.service.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.in.dto.InOutStorageBalanceDto;
import com.sd.business.entity.in.dto.InOutStorageBalanceSelectDto;
import com.sd.business.entity.in.po.InOutStorageBalance;
import com.sd.business.entity.in.vo.InOutStorageBalanceVo;


/**
 * <p>
 * 出入库结存单价计算表 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface InOutStorageBalanceService extends BaseService<InOutStorageBalance> {

    /**
     * 出入库结存单价计算表分页
     */
    Page<InOutStorageBalanceVo> getPage(InOutStorageBalanceSelectDto dto);

    /**
     * 出入库结存单价计算表明细
     */
    InOutStorageBalanceVo detail(Long id);

    /**
     * 出入库结存单价计算表新增
     */
    void add(InOutStorageBalanceDto dto);

    /**
     * 出入库结存单价计算表编辑
     */
    void edit(InOutStorageBalanceDto dto);

    /**
     * 出入库结存单价计算表删除
     */
    void delete(Long id);

}
