package com.sd.business.service.in.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.in.dto.InOutStorageBalanceDto;
import com.sd.business.entity.in.dto.InOutStorageBalanceSelectDto;
import com.sd.business.entity.in.po.InOutStorageBalance;
import com.sd.business.entity.in.vo.InOutStorageBalanceVo;
import com.sd.business.mapper.in.InOutStorageBalanceMapper;
import com.sd.business.service.in.InOutStorageBalanceService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 出入库结存单价计算表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class InOutStorageBalanceServiceImpl extends ServiceImpl<InOutStorageBalanceMapper, InOutStorageBalance> implements InOutStorageBalanceService {

    @Override
    public Page<InOutStorageBalanceVo> getPage(InOutStorageBalanceSelectDto dto) {

        Page<InOutStorageBalanceVo> page = Sql.create(InOutStorageBalanceVo.class)
                .selectAll(InOutStorageBalance.class)
                .from(InOutStorageBalance.class)
                .orderByDesc(InOutStorageBalance::getId)
                .page(dto);

        return page;
    }

    @Override
    public InOutStorageBalanceVo detail(Long id) {

        InOutStorageBalanceVo vo = Sql.create(InOutStorageBalanceVo.class)
                .selectAll(InOutStorageBalance.class)
                .from(InOutStorageBalance.class)
                .eq(InOutStorageBalance::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(InOutStorageBalanceDto dto) {
        save(dto);
    }

    @Override
    public void edit(InOutStorageBalanceDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
