package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderInfoDto;
import com.sd.business.entity.order.dto.OrderInfoSelectDto;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.OrderInfoVo;


/**
 * <p>
 * 订单 服务类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
public interface OrderInfoService extends BaseService<OrderInfo> {

    /**
     * 订单分页
     */
    Page<OrderInfoVo> getPage(OrderInfoSelectDto dto);

    /**
     * 订单明细
     */
    OrderInfoVo detail(Long id);

    /**
     * 订单新增
     */
    void add(OrderInfoDto dto);

    /**
     * 订单编辑
     */
    void edit(OrderInfoDto dto);

    /**
     * 订单删除
     */
    void delete(Long id);

    /**
     * 删除订单并回滚库存
     */
    void deleteAndStore(Long id);

}
