package com.sd.business.service.order.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.order.dto.OrderSkuProductionCostDto;
import com.sd.business.entity.order.dto.OrderSkuProductionCostSelectDto;
import com.sd.business.entity.order.po.OrderSkuProductionCost;
import com.sd.business.entity.order.vo.OrderSkuProductionCostVo;
import com.sd.business.mapper.order.OrderSkuProductionCostMapper;
import com.sd.business.service.order.OrderSkuProductionCostService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 订单sku生产成本表 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Service
public class OrderSkuProductionCostServiceImpl extends ServiceImpl<OrderSkuProductionCostMapper, OrderSkuProductionCost> implements OrderSkuProductionCostService {

    @Override
    public Page<OrderSkuProductionCostVo> getPage(OrderSkuProductionCostSelectDto dto) {

        Page<OrderSkuProductionCostVo> page = Sql.create(OrderSkuProductionCostVo.class)
                .selectAll(OrderSkuProductionCost.class)
                .from(OrderSkuProductionCost.class)
                .orderByDesc(OrderSkuProductionCost::getId)
                .page(dto);

        return page;
    }

    @Override
    public OrderSkuProductionCostVo detail(Long id) {

        OrderSkuProductionCostVo vo = Sql.create(OrderSkuProductionCostVo.class)
                .selectAll(OrderSkuProductionCost.class)
                .from(OrderSkuProductionCost.class)
                .eq(OrderSkuProductionCost::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(OrderSkuProductionCostDto dto) {
        save(dto);
    }

    @Override
    public void edit(OrderSkuProductionCostDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
