package com.sd.business.service.price.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.price.dto.PriceBillingStandardDto;
import com.sd.business.entity.price.dto.PriceBillingStandardSelectDto;
import com.sd.business.entity.price.po.PriceBillingStandard;
import com.sd.business.entity.price.vo.PriceBillingStandardVo;
import com.sd.business.mapper.price.PriceBillingStandardMapper;
import com.sd.business.service.price.PriceBillingStandardService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 加工计费标准 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Service
public class PriceBillingStandardServiceImpl extends ServiceImpl<PriceBillingStandardMapper, PriceBillingStandard> implements PriceBillingStandardService {

    @Override
    public Page<PriceBillingStandardVo> getPage(PriceBillingStandardSelectDto dto) {

        Page<PriceBillingStandardVo> page = Sql.create(PriceBillingStandardVo.class)
                .selectAll(PriceBillingStandard.class)
                .from(PriceBillingStandard.class)
                .orderByDesc(PriceBillingStandard::getId)
                .page(dto);

        return page;
    }

    @Override
    public PriceBillingStandardVo detail(Long id) {

        PriceBillingStandardVo vo = Sql.create(PriceBillingStandardVo.class)
                .selectAll(PriceBillingStandard.class)
                .from(PriceBillingStandard.class)
                .eq(PriceBillingStandard::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PriceBillingStandardDto dto) {
        save(dto);
    }

    @Override
    public void edit(PriceBillingStandardDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
