package com.sd.business.service.production.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.production.dto.ProductionWorkOrderDto;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.po.ProductionWorkOrder;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;
import com.sd.business.mapper.production.ProductionWorkOrderMapper;
import com.sd.business.service.production.ProductionWorkOrderService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 生产工单 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Service
public class ProductionWorkOrderServiceImpl extends ServiceImpl<ProductionWorkOrderMapper, ProductionWorkOrder> implements ProductionWorkOrderService {

    @Override
    public Page<ProductionWorkOrderVo> getPage(ProductionWorkOrderSelectDto dto) {

        Page<ProductionWorkOrderVo> page = Sql.create(ProductionWorkOrderVo.class)
                .selectAll(ProductionWorkOrder.class)
                .from(ProductionWorkOrder.class)
                .orderByDesc(ProductionWorkOrder::getId)
                .page(dto);

        return page;
    }

    @Override
    public ProductionWorkOrderVo detail(Long id) {

        ProductionWorkOrderVo vo = Sql.create(ProductionWorkOrderVo.class)
                .selectAll(ProductionWorkOrder.class)
                .from(ProductionWorkOrder.class)
                .eq(ProductionWorkOrder::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(ProductionWorkOrderDto dto) {
        save(dto);
    }

    @Override
    public void edit(ProductionWorkOrderDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
