package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchasePaymentDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentSelectDto;
import com.sd.business.entity.purchase.po.PurchasePayment;
import com.sd.business.entity.purchase.vo.PurchasePaymentVo;


/**
 * <p>
 * 采购付款 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchasePaymentService extends BaseService<PurchasePayment> {

    /**
     * 采购付款分页
     */
    Page<PurchasePaymentVo> getPage(PurchasePaymentSelectDto dto);

    /**
     * 采购付款明细
     */
    PurchasePaymentVo detail(Long id);

    /**
     * 采购付款新增
     */
    void add(PurchasePaymentDto dto);

    /**
     * 采购付款编辑
     */
    void edit(PurchasePaymentDto dto);

    /**
     * 采购付款删除
     */
    void delete(Long id);

}
