package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseReturnDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnSelectDto;
import com.sd.business.entity.purchase.po.PurchaseReturn;
import com.sd.business.entity.purchase.vo.PurchaseReturnVo;


/**
 * <p>
 * 采购退货 服务类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
public interface PurchaseReturnService extends BaseService<PurchaseReturn> {

    /**
     * 采购退货分页
     */
    Page<PurchaseReturnVo> getPage(PurchaseReturnSelectDto dto);

    /**
     * 采购退货明细
     */
    PurchaseReturnVo detail(Long id);

    /**
     * 采购退货新增
     */
    void add(PurchaseReturnDto dto);

    /**
     * 采购退货编辑
     */
    void edit(PurchaseReturnDto dto);

    /**
     * 采购退货删除
     */
    void delete(Long id);

}
