package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchaseBomDto;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import com.sd.business.mapper.purchase.PurchaseBomMapper;
import com.sd.business.service.purchase.PurchaseBomService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购合同bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchaseBomServiceImpl extends ServiceImpl<PurchaseBomMapper, PurchaseBom> implements PurchaseBomService {

    @Override
    public Page<PurchaseBomVo> getPage(PurchaseBomSelectDto dto) {

        Page<PurchaseBomVo> page = Sql.create(PurchaseBomVo.class)
                .selectAll(PurchaseBom.class)
                .from(PurchaseBom.class)
                .orderByDesc(PurchaseBom::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchaseBomVo detail(Long id) {

        PurchaseBomVo vo = Sql.create(PurchaseBomVo.class)
                .selectAll(PurchaseBom.class)
                .from(PurchaseBom.class)
                .eq(PurchaseBom::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchaseBomDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchaseBomDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
