package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchasePaymentBomDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentBomSelectDto;
import com.sd.business.entity.purchase.po.PurchasePaymentBom;
import com.sd.business.entity.purchase.vo.PurchasePaymentBomVo;
import com.sd.business.mapper.purchase.PurchasePaymentBomMapper;
import com.sd.business.service.purchase.PurchasePaymentBomService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购付款bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchasePaymentBomServiceImpl extends ServiceImpl<PurchasePaymentBomMapper, PurchasePaymentBom> implements PurchasePaymentBomService {

    @Override
    public Page<PurchasePaymentBomVo> getPage(PurchasePaymentBomSelectDto dto) {

        Page<PurchasePaymentBomVo> page = Sql.create(PurchasePaymentBomVo.class)
                .selectAll(PurchasePaymentBom.class)
                .from(PurchasePaymentBom.class)
                .orderByDesc(PurchasePaymentBom::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchasePaymentBomVo detail(Long id) {

        PurchasePaymentBomVo vo = Sql.create(PurchasePaymentBomVo.class)
                .selectAll(PurchasePaymentBom.class)
                .from(PurchasePaymentBom.class)
                .eq(PurchasePaymentBom::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchasePaymentBomDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchasePaymentBomDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
