package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchasePaymentDto;
import com.sd.business.entity.purchase.dto.PurchasePaymentSelectDto;
import com.sd.business.entity.purchase.po.PurchasePayment;
import com.sd.business.entity.purchase.vo.PurchasePaymentVo;
import com.sd.business.mapper.purchase.PurchasePaymentMapper;
import com.sd.business.service.purchase.PurchasePaymentService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购付款 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchasePaymentServiceImpl extends ServiceImpl<PurchasePaymentMapper, PurchasePayment> implements PurchasePaymentService {

    @Override
    public Page<PurchasePaymentVo> getPage(PurchasePaymentSelectDto dto) {

        Page<PurchasePaymentVo> page = Sql.create(PurchasePaymentVo.class)
                .selectAll(PurchasePayment.class)
                .from(PurchasePayment.class)
                .orderByDesc(PurchasePayment::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchasePaymentVo detail(Long id) {

        PurchasePaymentVo vo = Sql.create(PurchasePaymentVo.class)
                .selectAll(PurchasePayment.class)
                .from(PurchasePayment.class)
                .eq(PurchasePayment::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchasePaymentDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchasePaymentDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
