package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageBomDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageBomSelectDto;
import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;
import com.sd.business.mapper.purchase.PurchasePendingStorageBomMapper;
import com.sd.business.service.purchase.PurchasePendingStorageBomService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购待入库bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchasePendingStorageBomServiceImpl extends ServiceImpl<PurchasePendingStorageBomMapper, PurchasePendingStorageBom> implements PurchasePendingStorageBomService {

    @Override
    public Page<PurchasePendingStorageBomVo> getPage(PurchasePendingStorageBomSelectDto dto) {

        Page<PurchasePendingStorageBomVo> page = Sql.create(PurchasePendingStorageBomVo.class)
                .selectAll(PurchasePendingStorageBom.class)
                .from(PurchasePendingStorageBom.class)
                .orderByDesc(PurchasePendingStorageBom::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchasePendingStorageBomVo detail(Long id) {

        PurchasePendingStorageBomVo vo = Sql.create(PurchasePendingStorageBomVo.class)
                .selectAll(PurchasePendingStorageBom.class)
                .from(PurchasePendingStorageBom.class)
                .eq(PurchasePendingStorageBom::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchasePendingStorageBomDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchasePendingStorageBomDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
