package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageSelectDto;
import com.sd.business.entity.purchase.po.PurchasePendingStorage;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageVo;
import com.sd.business.mapper.purchase.PurchasePendingStorageMapper;
import com.sd.business.service.purchase.PurchasePendingStorageService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购待入库 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchasePendingStorageServiceImpl extends ServiceImpl<PurchasePendingStorageMapper, PurchasePendingStorage> implements PurchasePendingStorageService {

    @Override
    public Page<PurchasePendingStorageVo> getPage(PurchasePendingStorageSelectDto dto) {

        Page<PurchasePendingStorageVo> page = Sql.create(PurchasePendingStorageVo.class)
                .selectAll(PurchasePendingStorage.class)
                .from(PurchasePendingStorage.class)
                .orderByDesc(PurchasePendingStorage::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchasePendingStorageVo detail(Long id) {

        PurchasePendingStorageVo vo = Sql.create(PurchasePendingStorageVo.class)
                .selectAll(PurchasePendingStorage.class)
                .from(PurchasePendingStorage.class)
                .eq(PurchasePendingStorage::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchasePendingStorageDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchasePendingStorageDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
