package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchaseReturnBomDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnBomSelectDto;
import com.sd.business.entity.purchase.po.PurchaseReturnBom;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;
import com.sd.business.mapper.purchase.PurchaseReturnBomMapper;
import com.sd.business.service.purchase.PurchaseReturnBomService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购退货bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchaseReturnBomServiceImpl extends ServiceImpl<PurchaseReturnBomMapper, PurchaseReturnBom> implements PurchaseReturnBomService {

    @Override
    public Page<PurchaseReturnBomVo> getPage(PurchaseReturnBomSelectDto dto) {

        Page<PurchaseReturnBomVo> page = Sql.create(PurchaseReturnBomVo.class)
                .selectAll(PurchaseReturnBom.class)
                .from(PurchaseReturnBom.class)
                .orderByDesc(PurchaseReturnBom::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchaseReturnBomVo detail(Long id) {

        PurchaseReturnBomVo vo = Sql.create(PurchaseReturnBomVo.class)
                .selectAll(PurchaseReturnBom.class)
                .from(PurchaseReturnBom.class)
                .eq(PurchaseReturnBom::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchaseReturnBomDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchaseReturnBomDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
