package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.purchase.dto.PurchaseReturnDto;
import com.sd.business.entity.purchase.dto.PurchaseReturnSelectDto;
import com.sd.business.entity.purchase.po.PurchaseReturn;
import com.sd.business.entity.purchase.vo.PurchaseReturnVo;
import com.sd.business.mapper.purchase.PurchaseReturnMapper;
import com.sd.business.service.purchase.PurchaseReturnService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 采购退货 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-12
 */
@Service
public class PurchaseReturnServiceImpl extends ServiceImpl<PurchaseReturnMapper, PurchaseReturn> implements PurchaseReturnService {

    @Override
    public Page<PurchaseReturnVo> getPage(PurchaseReturnSelectDto dto) {

        Page<PurchaseReturnVo> page = Sql.create(PurchaseReturnVo.class)
                .selectAll(PurchaseReturn.class)
                .from(PurchaseReturn.class)
                .orderByDesc(PurchaseReturn::getId)
                .page(dto);

        return page;
    }

    @Override
    public PurchaseReturnVo detail(Long id) {

        PurchaseReturnVo vo = Sql.create(PurchaseReturnVo.class)
                .selectAll(PurchaseReturn.class)
                .from(PurchaseReturn.class)
                .eq(PurchaseReturn::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(PurchaseReturnDto dto) {
        save(dto);
    }

    @Override
    public void edit(PurchaseReturnDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
